#------------------------------------------------------------------------------
# extracts data satisfying appropriate constraints

b <- read.csv("voteData5-bte.csv")
g <- read.csv("voteData5-gte.csv")

b <- subset(b, b$meanNumCat > 2 & b$disc >= 0 & b$dir >= 0 & b$prox >= 0)
g <- subset(g, g$meanNumCat > 2 & g$disc >= 0 & g$dir >= 0 & g$prox >= 0)

b2 <- data.frame(prox = b$prox, disc = b$disc)
g2 <- data.frame(prox = g$prox, disc = g$disc)

write.table(b2, file = "summaryEst.csv", append = FALSE, quote = FALSE,
            sep = ", ", row.names = FALSE, col.names = FALSE)
write.table(g2, file = "summaryEst.csv", append = TRUE, quote = FALSE,
            sep = ", ", row.names = FALSE, col.names = FALSE)

